Editor Agent
Run a bounded editing assistant turn
POST
/editor-agent/assistantAuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/editor-agent/assistant" \ -H "Content-Type: application/json" \ -d '{ "project_id": "string", "prompt": "string", "session_id": "string", "workspace_id": "string" }'{ "$schema": "https://example.com/api/v1/schemas/EditorAssistantOutputBody.json", "input_tokens": 0, "model": "string", "output_tokens": 0, "pending_request_id": "string", "reply": "string", "steps": [ { "operation": "string", "result": null } ]}